<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PollSettingsData>" %>
<%@ Import Namespace="EPiServer.Core" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>
<%@ Import Namespace="EPiServer.Cms.Shell.Extensions" %>
<%@ Import Namespace="EPiServer.Models.Poll" %>

<script type="text/javascript">

    (function($) {
        epi.poll = function() {

            // object returned by function. Exposes public methods and variables.
            var pub = {};

            pub.saveSettings = function(e, gadgetContext) {
                // post data to server to save settings.
                var containerForm = $(this).closest("form");
                var formData = containerForm.serialize();

                $.post(containerForm.attr("action"), formData, function(data) {
                    // Get the gadget context object and load the default view.
                    gadgetContext.loadView();
                });
                return false;
            };

            return pub;
        } ();
    } (epiJQuery));
</script>
<div class="epi-smallPaddingHorizontal epi-formArea">
    <% Html.BeginGadgetForm("SaveSettings"); %>
    <fieldset>
        <legend><%=LanguageManager.Instance.Translate("/dashboard/poll/heading")%></legend>
        <div class="epi-size15">
            <label>
                <span><%=LanguageManager.Instance.Translate("/dashboard/poll/charttype")%></span>
                <%= Html.DropDownList("settings.ChartType", Html.SelectList(Model.Settings.ChartType, "p3"), new { @class = "epi-size3" })%>
            </label>
        </div>
        <div class="epi-size15">
            <label><span><%= LanguageManager.Instance.Translate("/dashboard/poll/pageid")%></span>
                <%= Html.TextBox("settings.PageId", Model.Settings.PageId, new { @class = "epi-size3" })%>
            </label>
        </div>
        <div class="epi-size15">
            <label><span><%= LanguageManager.Instance.Translate("/dashboard/poll/propertyname")%></span>
                <%= Html.TextBox("settings.XFormPropertyName", Model.Settings.XFormPropertyName, new { @class = "epi-size10" })%>
            </label>
        </div>
        <div class="epi-size15">
            <label><span><%= LanguageManager.Instance.Translate("/dashboard/poll/fieldnameinxform")%></span>
                <%= Html.TextBox("settings.FieldNameInXForm", Model.Settings.FieldNameInXForm, new { @class = "epi-size10" })%>
            </label>
        </div>
        <fieldset>
            <legend><%=LanguageManager.Instance.Translate("/dashboard/poll/liveupdate")%></legend>
            <label><%= Html.RadioButton("settings.LiveUpdate", false, !Model.Settings.LiveUpdate)%><%=LanguageManager.Instance.Translate("/dashboard/poll/no")%></label>
            <label><%= Html.RadioButton("settings.LiveUpdate", true, Model.Settings.LiveUpdate)%><%=LanguageManager.Instance.Translate("/dashboard/poll/yes")%></label>
        </fieldset>
        <input type="hidden" name="gadgetId" value="<%= Model.GadgetId %>" />
    </fieldset>
    <div class="epi-buttonContainer-simple">
            <%= Html.AcceptButton(new { onclick = "epi.poll.saveSettings" })%>
            <%= Html.CancelButton() %>
    </div>
    <% Html.EndForm(); %>
</div>
