<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<PollModel>" %>
<%@ Import Namespace="EPiServer.XForms" %>
<%@ Import Namespace="EPiServer.Models.Poll" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>
<%@ Import Namespace="EPiServer.Cms.Shell.Extensions" %>
<script type="text/javascript">
(function($) {
    epi.poll = function() {

        // object returned by function. Exposes public methods and variables.
        var pub = {};
        
        //We have to send in the gadgetId since if we have multiple gadgets of this type we have to identify the gadget that are doing the update.
        pub.updateChart = function(gadgetId) {            
            //Function that updates the chart if any changes /new posts are done in the Poll.
            var link = $("#gadget_" + gadgetId).epiGadget("getActionPath",{action: "GetLink"});
            
            //Make an ajax request. We send a gadgetId and get a link back. (The epi.base.ajax only adds some extra options automatically and have some little extra functionality from jQuery)
            epi.base.ajax({
                url: link,
                type: "POST",
                dataType: "json",
                data: { gadgetId: gadgetId },
                success: function(data) {
                   
                   //We add the :visible to make sure it is visible. if it is not we should not do any updates 
                   //It will be hidden if we are on another tab or editing config or so.
                    var imageObject = $("#Image_" + gadgetId + ":visible");
                    
                    if(imageObject.length > 0)
                    {
                        //Error if we use encoded url:s when setting the link with javascipt
                        var linkUrl = (data.link).replace(/&amp;/g,"&");
                        var oldLink = imageObject.attr("src");
                        if(linkUrl !== oldLink)
                        {
                            //Only update the image if there is a change (not to harass google too much ;)
                            imageObject.attr("src",linkUrl);
                        }
                    }
                <% if(Model.LiveUpdate) { %>
                    //Only send timeout request for update if we have LiveUpdate enabled
                    setTimeout("epi.poll.updateChart('" + gadgetId + "')",3000);
                <% } %>
                }
            });

            // post data to server to save settings.
        };
        <% if(Model.LiveUpdate) { %>
        //Only send timeout request for update if we have LiveUpdate enabled
        setTimeout("epi.poll.updateChart('<%=Model.GadgetId.ToString() %>')",3000);
        <% } %>
        return pub;
    } ();
} (epiJQuery));
</script>
<style type="text/css">
h3.heading 
{
	border-bottom: solid 1px #E3E3E3;
	margin-left:12px;
	margin-right:12px;
	margin-top:5px;
}

h4.question
{
	font-size:1.1em;
	color: #254362;
	margin-left:12px;
	margin-right:12px;
}
</style>
<div style="width:100%;"> 
    <% Html.BeginGadgetForm("Index"); %>   
    <h3 class="heading"><%=Model.PollHeading %></h3>
    <h4 class="question"><%=Model.PollQuestion %></h4>
    <img id="Image_<%=Model.GadgetId.ToString() %>" width="520" height="120" src="<%=Model.Link %>" alt="Sample chart" />    
    <% Html.EndForm(); %>
</div>